const process = require('process')
let result = {}

try {
    switch (process.platform) {
        case 'darwin':
            let arch = process.arch
            if (arch === 'arm64' || arch === 'arm') {
                result = require('./index_mac_m1.node')
            } else {
                result = require('./index_mac.node')
            }
            break
        case 'win32':
            result = require('./index.node')
            break
        case 'linux':
            result = require('./index_linux.node')
            break
        default:
            result = require('./index.node')
            break
    }
} catch (error) {
  console.log('plugin-crypto: no suitable platform')   
}


module.exports = result